Subject: bug#26032: Indenting in tabulars without &

From: Arash Esbati <[email-masked]>
Date: Fri, 10 Mar 2017 11:50:39 +0100

Arash Esbati <[email-masked]> writes:

> Ikumi Keita <[email-masked]> writes:
>
>> I'm afraid that the fix has to be reconsidered.
>
> And I was afraid that this would happen; it seemed just too easy ;-)
>
>> The current code does not work as expected when the whole tabular
>> environment itself is indented like the following examples.
>>
>> \begin{table}
>>   \begin{tabular}{ll}
>>     \multicolumn{2}{c}{These lines will} `M-RET here'
>>   \end{tabular}
>> \end{table}
>>
>> \begin{table}
>>   \begin{tabular}{ll}
>>     \multicolumn{2}{c}{These lines will}  \\
>>     & `C-c C-q C-e here'
>>   \end{tabular}
>> \end{table}
>>
>> So it is not sufficient to examine whether `(- (current-column) 1)' is
>> negative or not.  I suppose that comparing the `(current-column)' and
>> `beg-col' would be necessary.  (Or just using `(max (- (current-column)
>> 1) (+ 2 beg-col))' might be sufficient.  I haven't considered the
>> situation in detail yet.)
>
> Thank you very much for double checking.  I think I won't revert my last
> change; it fixes at least part of the problem.  I will also think about
> it again (but your suggestion above looks quite appealing to me).

Hi Keita,

I did some testing, your suggestion with

    (if (natnump (- (current-column) 1))
        (max (+ 2 beg-col)
             (- (current-column) 1))
      (+ 2 beg-col))

seems to do the job.  Do you have any other idea?

Best, Arash